# $Id: $
# repo: RE-test
# restrictions: el5

%global pyver 26
%global pybasever 2.6
%global real_name cx_Oracle
%define oraver 11.2
%define relver 11g-py%{pyver}

%global _use_internal_dependency_generator 0
%global __python /usr/bin/python%{pybasever}
%global __os_install_post %{__python26_os_install_post}

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Summary: Python interface to Oracle
Name: cx_Oracle-%{relver}
Version: 5.1
Release: %RErelease 1
License: Python
Group: Development/Libraries
Source0: http://prdownloads.sourceforge.net/cx-oracle/cx_Oracle-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://cx-oracle.sourceforge.net/
Provides: cx_Oracle = %{version}-%{release}
Requires: python(abi) = %{pybasever}
BuildRequires: oracle-instantclient%{oraver}-devel
BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-distribute
BuildRequires: /usr/bin/iconv /bin/sed
BuildRequires: rpm-macros-razorsedge

%description
Python interface to Oracle conforming to the Python DB API 2.0 specification.
See http://www.python.org/topics/database/DatabaseAPI-2.0.html.

%prep
%setup -q -n %{real_name}-%{version}
# Convert to utf-8
for file in LICENSE.txt; do
  iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
  touch -r $file $file.new && \
  mv $file.new $file
done

# Fix end-of-line encoding
for file in test/IntervalVar.py test/uIntervalVar.py; do
  sed 's/\r//' $file > $file.new && \
  touch -r $file $file.new && \
  mv $file.new $file
done

# remove unwanted provides, clears rpmlint warnings
cat << \EOF > %{name}-prov
#!/bin/sh
%{__find_provides} $* | sed -e "/_speedups.so()(64bit)/d"
EOF

%global __find_provides %{_builddir}/%{real_name}-%{version}/%{name}-prov
chmod +x %{__find_provides}

%build
%ifarch x86_64
export ORACLE_HOME=/usr/lib/oracle/%{oraver}/client64
%else
export ORACLE_HOME=/usr/lib/oracle/%{oraver}/client
%endif
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%ifarch x86_64
export ORACLE_HOME=/usr/lib/oracle/%{oraver}/client64
%else
export ORACLE_HOME=/usr/lib/oracle/%{oraver}/client
%endif
%{__python} setup.py install --root=$RPM_BUILD_ROOT
%{__chmod} 0755 ${RPM_BUILD_ROOT}%{python_sitearch}/cx_Oracle.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt BUILD.txt HISTORY.txt html samples test
%{python_sitearch}/*

%changelog
* Tue Aug 23 2011 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 5.1-1
- Built against python26.

